declare type Matcher<T> = (value: T) => boolean;
declare type Pattern<T> = T | RegExp;
declare type AllowListObjectOption<T> = Partial<{
    accept: Pattern<T> | Pattern<T>[];
    reject: Pattern<T> | Pattern<T>[];
}>;
declare type AllowOptions<T> = AllowListObjectOption<T> | Pattern<T> | Pattern<T>[] | Matcher<T>;
declare function allowList<T>(options: AllowOptions<T>, ignorecase?: boolean): Matcher<T>;

export default allowList;
export { allowList };
